@keyframes ring-pulse {
  0% {
    transform: translate(-50%, -50%) scale(1);
    opacity: 0.5;
  }

  50% {
    transform: translate(-50%, -50%) scale(1.3);
    opacity: 0.2;
  }

  100% {
    transform: translate(-50%, -50%) scale(1);
    opacity: 0.5;
  }
}

@-webkit-keyframes fadeInDown {
  0% {
    opacity: 0;
    -webkit-transform: translate3d(0, -100%, 0);
    transform: translate3d(0, -100%, 0)
  }

  to {
    opacity: 1;
    -webkit-transform: translateZ(0);
    transform: translateZ(0)
  }
}

@keyframes fadeInDown {
  0% {
    opacity: 0;
    -webkit-transform: translate3d(0, -100%, 0);
    transform: translate3d(0, -100%, 0)
  }

  to {
    opacity: 1;
    -webkit-transform: translateZ(0);
    transform: translateZ(0)
  }
}

@font-face {
  font-family: "myIranYekan";
  font-weight: normal;
  src: url("../../fonts/iranyekan/ttf/iranyekanwebregular.ttf") format("truetype"),
    url("../../fonts/iranyekan/woff/iranyekanwebregular.woff") format('woff');
}

@font-face {
  font-family: "myIranYekan";
  font-weight: bold;
  src: url("../../fonts/iranyekan/ttf/iranyekanwebbold.ttf") format("truetype"),
    url("../../fonts/iranyekan/woff/iranyekanwebbold.woff") format('woff');
}

@font-face {
  font-family: "myPinar";
  font-weight: normal;
  src: url("../../fonts/pinar/Pinar-Regular.ttf") format("truetype"),
    url("../../fonts/pinar/Pinar-Regular.woff2") format('woff2');
}

@font-face {
  font-family: "myPinar";
  font-weight: bold;
  src: url("../../fonts/pinar/Pinar-Bold.ttf") format("truetype"),
    url("../../fonts/pinar/Pinar-Bold.woff2") format('woff2');
}

body,html{
  font-family: "myIranYekan", sans-serif;
  direction: rtl;
  scroll-behavior: smooth;
}
@media screen and (min-width:1024px) {
  .contain {
    max-width: 90%;
    margin: 0 auto;
  }
}

::-webkit-scrollbar {
  width: 20px;
}

::-webkit-scrollbar-track {
  background: #141414;
}

::-webkit-scrollbar-thumb {
  background-color: var(--color-theme-primary);
  border-radius: 10px;
  border: 5px solid #111;
}


.main-header {
  transition: background-color 0.3s ease, color 0.3s ease;

}

.animation-header {
  background-color: rgba(0, 0, 0, 0.93);
  box-shadow: 0 8px 10px 5px rgba(0, 0, 0, 0.1);
  animation: fadeInDown 1s;
}
.button-up{
  transition: transform 0.5s ease, opacity 0.5s ease;
}
.animation-button-up{
  transform: translateY(-35px);
  opacity: 1;
}



.overlay {
  position: fixed;
  inset: 0;
  background-color: rgba(0, 0, 0, 0.8);
  z-index: 99;
}
.h-modal{
  z-index: 100;
}
  .menu-list {
    transform: translateX(100%); 
    max-width: 20rem;
    width: 100%;
    transition: transform 0.5s ease ,opacity 0.5s ease ;
  }
  .menu-list.show {
    transform: translateX(0);
  }


.search-box {
  visibility: hidden;
  transform: translateY(-280%);
  transition: all 0.5s ease;

}

.search-box.show {
  opacity: 1;
  transform: translateY(0);
  visibility: visible;
  transition: all 0.5s ease;

}


.button-icon {
  background-color: var(--color-theme-primary);
}

.button-icon:hover {
  transform: scale(1.05);
}

.button-icon::after {
  content: "";
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  border-radius: 50%;
  background-color: var(--color-theme-hover-primary);
  transition: all 1s;
  z-index: -1;
}

.button-icon:hover::after {
  animation: wavy-hover 1s;
}


.line-footer::after {
  content: "";
  display: block;
  width: 45%;
  height: 5px;
  background-color: var(--color-theme-primary);
  position: absolute;
  top: 95%;
  right: 0;
}



.bg-relation {
  background-image: url(../../image/design/map.png);
  background-repeat: no-repeat;
  background-size: cover;
}
